Get COMPOSITION
Retrieves a version of the COMPOSITION identified by uid_based_id and associated with the EHR identified by ehr_id.
The uid_based_id can take a form of an OBJECT_VERSION_ID identifier taken from VERSION.uid.value (i.e. a version_uid), or a form of a HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. a versioned_object_uid).
The former is used to retrieve a specific known version of the COMPOSITION (e.g. one identified by 8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1), whereas the later (e.g. an identifier like 8849182c-82ad-4088-a07f-48ead4180515) is be used to retrieve a version from the version container whenever the version_tree_id is unknown or irrelevant (such as when most recent version is requested).
When the uid_based_id has the form of a HIER_OBJECT_ID, if the version_at_time is supplied, retrieves the version extant at specified time, otherwise retrieves the latest COMPOSITION version.
See Resource identification for more details about the identifiers usage and meaning.
- Type: string
ehr _id requiredEHR identifier taken from EHR.ehr_id.value.
- Type: string
uid _based _id requiredAn abstract identifier: it can take a form of an OBJECT_VERSION_ID identifier taken from VERSION.uid.value (i.e. a
version_uid), or a form of a HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. aversioned_object_uid).
- Type: string
version _at _time A given time in the extended ISO 8601 format.
- application/json
204 204 No Contentis returned when the resource identified by the request parameters (at specifiedversion_at_time) time has been deleted.404 404 Not Foundis returned when an EHR withehr_iddoes not exist, or when a version of the resource identified by the request parameters (at specifiedversion_at_time) does not exist.
curl 'https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/composition/8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1?version_at_time=2015-01-20T19%3A30%3A22.765%2B01%3A00'
{
"archetype_node_id": "openEHR-EHR-COMPOSITION.encounter.v1",
"name": {
"value": "Vital Signs"
},
"uid": {
"_type": "OBJECT_VERSION_ID",
"value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
},
"archetype_details": {
"archetype_id": {
"value": "openEHR-EHR-COMPOSITION.encounter.v1"
},
"template_id": {
"value": "Example.v1::c7ec861c-c413-39ff-9965-a198ebf44747"
},
"rm_version": "1.0.2"
},
"language": {
"terminology_id": {
"value": "ISO_639-1"
},
"code_string": "en"
},
"territory": {
"terminology_id": {
"value": "ISO_3166-1"
},
"code_string": "NL"
},
"category": {
"value": "event",
"defining_code": {
"terminology_id": {
"value": "openehr"
},
"code_string": "433"
}
},
"composer": {
"_type": "PARTY_IDENTIFIED",
"external_ref": {
"id": {
"_type": "GENERIC_ID",
"value": "16b74749-e6aa-4945-b760-b42bdc07098a",
"scheme": "pid"
},
"namespace": "cataniamc.prod.cadasto.com",
"type": "PERSON"
},
"name": "A name"
},
"context": {
"start_time": {
"value": "2014-11-18T09:50:35.000+01:00"
},
"setting": {
"value": "other care",
"defining_code": {
"terminology_id": {
"value": "openehr"
},
"code_string": "238"
}
}
},
"content": []
}